<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title']='Статусы'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
aut();

$act = (isset($_GET['act'])) ? htmlspecialchars($_GET['act']) : null;
switch($act){
case'save':
$m='<img src="/style/vstatys/'.abs($_GET['id']).'.png">';
if($user['balls'] < 500)
{
echo "<div class='infosm'>Недостаточно баллов!</div>";
}
else
{
$user['balls']= intval($user['balls']-500);
mysql_query("UPDATE `user` SET `ves_statys` = '".$m."' WHERE `id` = '$user[id]' LIMIT 1",$db);
mysql_query("UPDATE `user` SET `balls` = '$user[balls]' WHERE `id` = '$user[id]';");
echo "<div class='msg'>Готово!!!</div>";
}
echo "<div class='infosm'>";
echo "<a href='/ves_statys.php'>К выбору статуса</a><br />\n";
echo "</div>\n";
break;


// По умолчанию
default:
$files = scandir('style/vstatys/');
if((int)$_GET['page']) $page=(int)$_GET['page']-1; else $page=0;
$i=0;
foreach($files as $love=>$file) {
$name=eregi_replace('\.[^\.]*$', NULL, $file); // имя файла без расширения

if(str_replace(".","",$file)!='' and $name>0 and $i>=$page*10 and $i<$page*10+10) {

echo '<div class="infosm">';
echo '<img src="style/vstatys/'.$file.'" alt="#"/><br/><a href="?act=save&id='.$name.'"><b>Выбрать</b></a> [500 баллов]';
echo '</div>';

$i++;
}
if($i<$page*10) $i++;
}
echo' <div class="msg">';
$pagenum=(int)(count($files)/10);
if((int)(count($files)/10)<(count($files)/10)) $pagenum++;
if($pagenum>1) for($i=1;$i<=$pagenum;$i++) 
switch($i) {
case $i==$page:
if($page>1) echo '<a href="?page=1"><<</a> ';
echo '<a href="?page='.$i.'">['.$i.']</a> ';
break;
case $i==$page+1:
echo '<span style="color:red"><b>'.$i.'</b> </span>';
break;
case $i==$page+2:
echo '<a href="?page='.$i.'">['.$i.']</a> ';
if($page<$i+1) echo '<a href="?page='.$pagenum.'">>></a> ';
}
echo '</div> ';
break;
}
include_once 'sys/inc/tfoot.php';
?>